import java.util.Iterator;

public class Class460 implements Iterator {

   Class225 aClass225_5728 = null;
   Class225 aClass225_5729;
   Class456 aClass456_5730;


   void method7747() {
      this.aClass225_5729 = this.aClass456_5730.aClass225_5687.aClass225_2607;
      this.aClass225_5728 = null;
   }

   public Class460(Class456 var1) {
      this.aClass456_5730 = var1;
      this.aClass225_5729 = this.aClass456_5730.aClass225_5687.aClass225_2607;
      this.aClass225_5728 = null;
   }

   void method7748(byte var1) {
      this.aClass225_5729 = this.aClass456_5730.aClass225_5687.aClass225_2607;
      this.aClass225_5728 = null;
   }

   public boolean hasNext() {
      return this.aClass456_5730.aClass225_5687 != this.aClass225_5729;
   }

   public Object next() {
      Class225 var1 = this.aClass225_5729;
      if(var1 == this.aClass456_5730.aClass225_5687) {
         var1 = null;
         this.aClass225_5729 = null;
      } else {
         this.aClass225_5729 = var1.aClass225_2607;
      }

      this.aClass225_5728 = var1;
      return var1;
   }

   public void method7749() {
      if(null == this.aClass225_5728) {
         throw new IllegalStateException();
      } else {
         this.aClass225_5728.method3857(1245501305);
         this.aClass225_5728 = null;
      }
   }

   public void remove() {
      if(null == this.aClass225_5728) {
         throw new IllegalStateException();
      } else {
         this.aClass225_5728.method3857(-1664049497);
         this.aClass225_5728 = null;
      }
   }

   public boolean method7750() {
      return this.aClass456_5730.aClass225_5687 != this.aClass225_5729;
   }

   public boolean method7751() {
      return this.aClass456_5730.aClass225_5687 != this.aClass225_5729;
   }

   public boolean method7752() {
      return this.aClass456_5730.aClass225_5687 != this.aClass225_5729;
   }

   public Object method7753() {
      Class225 var1 = this.aClass225_5729;
      if(var1 == this.aClass456_5730.aClass225_5687) {
         var1 = null;
         this.aClass225_5729 = null;
      } else {
         this.aClass225_5729 = var1.aClass225_2607;
      }

      this.aClass225_5728 = var1;
      return var1;
   }

   public Object method7754() {
      Class225 var1 = this.aClass225_5729;
      if(var1 == this.aClass456_5730.aClass225_5687) {
         var1 = null;
         this.aClass225_5729 = null;
      } else {
         this.aClass225_5729 = var1.aClass225_2607;
      }

      this.aClass225_5728 = var1;
      return var1;
   }

   public Object method7755() {
      Class225 var1 = this.aClass225_5729;
      if(var1 == this.aClass456_5730.aClass225_5687) {
         var1 = null;
         this.aClass225_5729 = null;
      } else {
         this.aClass225_5729 = var1.aClass225_2607;
      }

      this.aClass225_5728 = var1;
      return var1;
   }

   public void method7756() {
      if(null == this.aClass225_5728) {
         throw new IllegalStateException();
      } else {
         this.aClass225_5728.method3857(-1026790699);
         this.aClass225_5728 = null;
      }
   }

   public Class225 method7757() {
      this.method7748((byte)28);
      return (Class225)this.next();
   }

   public void method7758() {
      if(null == this.aClass225_5728) {
         throw new IllegalStateException();
      } else {
         this.aClass225_5728.method3857(1152937327);
         this.aClass225_5728 = null;
      }
   }

   public void method7759() {
      if(null == this.aClass225_5728) {
         throw new IllegalStateException();
      } else {
         this.aClass225_5728.method3857(-463649086);
         this.aClass225_5728 = null;
      }
   }

   public void method7760() {
      if(null == this.aClass225_5728) {
         throw new IllegalStateException();
      } else {
         this.aClass225_5728.method3857(1050041120);
         this.aClass225_5728 = null;
      }
   }

   public void method7761() {
      if(null == this.aClass225_5728) {
         throw new IllegalStateException();
      } else {
         this.aClass225_5728.method3857(282464238);
         this.aClass225_5728 = null;
      }
   }

   public void method7762(Class456 var1) {
      this.aClass456_5730 = var1;
      this.aClass225_5729 = this.aClass456_5730.aClass225_5687.aClass225_2607;
      this.aClass225_5728 = null;
   }

   public void method7763(Class456 var1, byte var2) {
      this.aClass456_5730 = var1;
      this.aClass225_5729 = this.aClass456_5730.aClass225_5687.aClass225_2607;
      this.aClass225_5728 = null;
   }

   void method7764() {
      this.aClass225_5729 = this.aClass456_5730.aClass225_5687.aClass225_2607;
      this.aClass225_5728 = null;
   }

   public Class225 method7765(int var1) {
      this.method7748((byte)53);
      return (Class225)this.next();
   }

   public Class225 method7766() {
      this.method7748((byte)85);
      return (Class225)this.next();
   }

   public static void method7767(Class124 var0, int var1) {
      if(1136950949 * var0.anInt1532 == client.anInt7676 * -473243413) {
         client.aBoolArray7951[var0.anInt1531 * 796622049] = true;
      }

   }
}
